Scientific Linux 安全更新:SL5.x、SL6.x i386/x86_64 中的 ghostscript

high Nessus 插件 ID 61236

简介

远程 Scientific Linux 主机缺少一个或多个安全更新。

描述

Ghostscript 是一套提供 PostScript 解释器的软件、一套 C 程序(Ghostscript 库,用 PostScript 语言实现图形功能)和可移植文档格式 (PDF) 文件的解释器。

在 Ghostscript 的 TrueType 字节码解释器中发现一个整数溢出缺陷。攻击者可以创建特别构建的 PostScript 或 PDF 文件,解释该文件时可导致 Ghostscript 崩溃,或者可能执行任意代码。(CVE-2009-3743)

已发现即使通过“-I”选项指定了不包含当前工作目录的搜索路径或者使用了“-P-”选项(以防止首先搜索当前工作目录),Ghostscript 也会始终在检查其他目录之前尝试从当前工作目录中读取 Ghostscript 系统初始化文件。如果用户运行了受攻击者控制的包含系统初始化文件的目录中的 Ghostscript,则可导致 Ghostscript 执行任意 PostScript 代码。
(CVE-2010-2055)

Ghostscript 默认在其库搜索路径中包含当前工作目录。如果用户在无“-P-”选项的情况下运行了受攻击者控制的包含特别构建的 PostScript 库文件的目录中的 Ghostscript,则可导致 Ghostscript 执行任意 PostScript 代码。通过此更新,Ghostscript 不再默认在当前工作目录中搜索库文件。
(CVE-2010-4820)

注意:针对 CVE-2010-4820 的补丁可能会破坏现有配置。要使用之前有漏洞的行为,请通过“-P”选项运行 Ghostscript(以始终首先搜索当前工作目录)。

在 Ghostscript 解释 PostScript Type 1 和 PostScript Type 2 字体文件的方式中发现一个缺陷。攻击者可以创建特别构建的 PostScript Type 1 或 PostScript Type 2 字体文件,解释该文件时可导致 Ghostscript 崩溃,或者可能执行任意代码。(CVE-2010-4054)

建议 Ghostscript 用户升级这些更新后的程序包,其中包含用于修正这些问题的向后移植的修补程序。

解决方案

更新受影响的程序包。

另见

http://www.nessus.org/u?a89e1985

插件详情

严重性: High

ID: 61236

文件名: sl_20120202_ghostscript_on_SL5_x.nasl

版本: 1.6

类型: local

代理: unix

发布时间: 2012/8/1

最近更新时间: 2021/1/14

支持的传感器: Nessus Agent

风险信息

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: High

基本分数: 9.3

矢量: AV:N/AC:M/Au:N/C:C/I:C/A:C

漏洞信息

CPE: p-cpe:/a:fermilab:scientific_linux:ghostscript, p-cpe:/a:fermilab:scientific_linux:ghostscript-debuginfo, p-cpe:/a:fermilab:scientific_linux:ghostscript-devel, p-cpe:/a:fermilab:scientific_linux:ghostscript-doc, p-cpe:/a:fermilab:scientific_linux:ghostscript-gtk, x-cpe:/o:fermilab:scientific_linux

必需的 KB 项: Host/local_checks_enabled, Host/cpu, Host/RedHat/release, Host/RedHat/rpm-list

补丁发布日期: 2012/2/2

漏洞发布日期: 2010/7/22

参考资料信息

CVE: CVE-2009-3743, CVE-2010-2055, CVE-2010-4054, CVE-2010-4820